function TorF = usesLP(alg)
%usesLP    Returns TRUE if given algorithm is an LP-based algorithm.
%   TorF = usesLP(alg) ... alg is the numerical ID of the opf algorithm.

%   MATPOWER Version 1.0.1
%   by Ray Zimmerman, PSERC Cornell    9/19/97
%   Copyright (c) 1997 by Power System Engineering Research Center (PSERC)
%   See http://www.pserc.cornell.edu/ for more info.

if alg == 220 | alg == 221 | alg == 222 | alg == 223 | alg == 224 | ...
	alg == 240 | alg == 241 | alg == 242 | alg == 243 | alg == 244
	TorF = 1;
else
	TorF = 0;
end

return;
